<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <ImageView
        app:layout_constraintTop_toTopOf="parent"
        android:background="@mipmap/bg_message"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"/>

    <ImageView
        android:id="@+id/ivBack"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/title"
        app:layout_constraintBottom_toBottomOf="@+id/title"
        android:layout_marginStart="12dp"
        android:src="@mipmap/back"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <com.swago.baseswago.cusview.BoldTextView
        android:id="@+id/title"
        android:textSize="18dp"
        android:textColor="#000"
        android:gravity="center"
        android:text="@string/message"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:layout_marginTop="25dp"
        app:layout_constraintTop_toTopOf="parent" />


    <ImageView
        android:id="@+id/ivSetRead"
        android:src="@mipmap/icon_set_read"
        android:layout_marginEnd="10dp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@+id/title"
        app:layout_constraintBottom_toBottomOf="@+id/title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_marginTop="90dp"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/clOfficialMsg"
            app:layout_constraintTop_toTopOf="parent"
            android:layout_width="match_parent"
            android:layout_height="80dp">

            <ImageView
                android:id="@+id/iv_msg"
                android:src="@mipmap/icon_system_message"
                android:layout_marginStart="15dp"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                android:layout_width="50dp"
                android:layout_height="50dp"/>

            <com.swago.baseswago.cusview.BoldTextView
                app:layout_constraintStart_toEndOf="@+id/iv_msg"
                app:layout_constraintTop_toTopOf="@+id/iv_msg"
                android:layout_marginStart="10dp"
                android:textColor="#000"
                android:textSize="14dp"
                android:text="@string/swago_offical_msg"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>

            <com.swago.baseswago.cusview.RegularTextView
                android:id="@+id/tvContent"
                android:textColor="#aaaaaa"
                android:textSize="14dp"
                tools:text="欢迎来到Swago,我们为你准备了很多精彩的内容ddddddd"
                android:maxLines="1"
                android:ellipsize="end"
                android:layout_marginStart="10dp"
                android:layout_marginEnd="70dp"
                app:layout_constraintStart_toEndOf="@+id/iv_msg"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintBottom_toBottomOf="@+id/iv_msg"
                android:layout_width="0dp"
                android:layout_height="wrap_content"/>


            <com.swago.baseswago.cusview.MediumTextView
                android:id="@+id/tvTime"
                android:textSize="10dp"
                android:textColor="#aaaaaa"
                app:layout_constraintEnd_toEndOf="parent"
                android:layout_marginEnd="15dp"
                app:layout_constraintTop_toTopOf="@+id/iv_msg"
                android:layout_marginTop="2dp"
                tools:text="20分钟前"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"/>


            <TextView
                android:id="@+id/tvCount"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintBottom_toBottomOf="@+id/tvContent"
                android:layout_marginEnd="15dp"
                android:textColor="#fff"
                android:textSize="10dp"
                android:text="1"
                android:padding="3dp"
                android:gravity="center"
                tools:visibility="visible"
                android:visibility="gone"
                android:background="@drawable/shape_3d7fff_10"
                android:layout_width="18dp"
                android:layout_height="18dp"/>


        </androidx.constraintlayout.widget.ConstraintLayout>


        <com.tencent.qcloud.tim.uikit.modules.conversation.ConversationLayout
            android:id="@+id/conversation"
            app:layout_constraintTop_toBottomOf="@+id/clOfficialMsg"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_width="match_parent"
            android:layout_height="0dp" />

    </androidx.constraintlayout.widget.ConstraintLayout>




</androidx.constraintlayout.widget.ConstraintLayout>